Bug 466438 - issues on getting logged in.
issues on getting logged in.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
high Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-10 05:50 EDT by Jóhann B. Guðmundsson
Modified: 2009-12-18 01:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:32:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dmesg output (31.73 KB, text/plain)
2008-10-10 05:50 EDT, Jóhann B. Guðmundsson
no flags Details
/var/log/messages (1.25 MB, application/octet-stream)
2008-10-10 05:54 EDT, Jóhann B. Guðmundsson
no flags Details
/var/log/Xorg.0.log (43.47 KB, application/octet-stream)
2008-10-10 05:56 EDT, Jóhann B. Guðmundsson
no flags Details
xsession-errors (1 bytes, application/octet-stream)
2008-10-10 05:57 EDT, Jóhann B. Guðmundsson
no flags Details

  None (edit)
Description Jóhann B. Guðmundsson 2008-10-10 05:50:20 EDT
Created attachment 319991 [details]
Dmesg output

Description of problem:

When booting into runlevel 3 and I get to the login 
I type my username in the login field but it does not get shown.
yet the keyboard is working as in I type my username which I dont
see and I type the password and successfully log in.



Version-Release number of selected component (if applicable):

kernel-2.6.27-3.fc10.i686
xorg-x11-drv-ati-6.9.0-25.fc10.i386
xorg-x11-server-Xorg-1.5.1-10.fc10.i386

How reproducible:

Always

Steps to Reproduce:
1. Boot into runlevel 3
2. Type your username
3.
  
Actual results:

I dont see my username  as I type it on the screen

Expected results:

See my username as I type it on the screen.

Additional info:
Comment 1 Jóhann B. Guðmundsson 2008-10-10 05:54:50 EDT
Created attachment 319994 [details]
/var/log/messages
Comment 2 Jóhann B. Guðmundsson 2008-10-10 05:56:12 EDT
Created attachment 319995 [details]
/var/log/Xorg.0.log
Comment 3 Jóhann B. Guðmundsson 2008-10-10 05:57:58 EDT
Created attachment 319997 [details]
xsession-errors
Comment 4 Jóhann B. Guðmundsson 2008-10-10 06:06:13 EDT
This has nothing to do with KMS I added nomodeset still happens

If I type in the wrong username as in "have failed logins" 
it starts show the username that is being typed after x failed attemps.

After I login when I don't see me type in the username

I do see text I type in the shell after 
so this just happens when I type my username in the login field
Comment 5 Matěj Cepl 2008-10-10 12:37:24 EDT
console is none of Xorg business, reassigning to kernel folks.
Comment 6 Jóhann B. Guðmundsson 2008-11-05 06:46:55 EST
Still an issue on an Fresh F10preview installation

Moving it up a notch in priority F10 is right around the corner.

To clear things up this has to do with the first time 
a user logs in on a console. ( Seen in runlevel 3 seems ok in runlevel 2 on tty2 )

He types in his username and it does not get displayed on the screen
and then the password: field moves to the site of the login: field

so it looks like this..

localhost login: Password:

This only happens on the first try as in it fixes itself after you 
login successfully once then type exit and try  or after you have failed once
and your asked again.
Comment 7 Jóhann B. Guðmundsson 2008-11-05 06:53:41 EST
s/runlevel 2/runlevel 5
Comment 8 Bug Zapper 2008-11-25 22:44:31 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-11-18 02:49:24 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-12-18 01:32:51 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.